petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSTrajectorySetFromOptions

Sets various TSTrajectory parameters from user options.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetFromOptions(TSTrajectory tj,TS ts)

Collective on TSTrajectory Many br

### Input Parameter

tj -the TSTrajectory context obtained from TSTrajectoryCreate() Many br

### Options Database Keys

-ts_trajectory_type <type> -TSTRAJECTORYBASIC Many br
-ts_trajectory_max_cps <int> - Many br Many br

Notes: This is not normally called directly by users Many br

### Keywords

TS, timestep, set, options, database, trajectory

### See Also

TSGetType(), TSSetSaveTrajectory(), TSGetTrajectory()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages